## org.biojava.bio.dp
Interface StoppingCriteria

    public interface StoppingCriteria

A callback that is invoked during the training of an HMM.

Author:
  Matthew Pocock

Method Summary
`boolean` `isTrainingComplete(TrainingAlgorithm ta)` Decide if the training has completed.

Method Detail

### isTrainingComplete

    boolean isTrainingComplete(TrainingAlgorithm ta)

  Decide if the training has completed. This can be on the basis of the scores published by ta. Or, it could be set to expire at a given cycle, or due to user intervention. It is perfectly acceptable for this method to have side effects such as logging.

  Parameters:
    `ta` - the TrainingAlgorithm instance to check
  Returns:
    true if the training is complete, false if it should be continued